import Color from "../../system/Color";
import { Font } from "../../system/Font";
import StiJson from "../../system/StiJson";
import { StiTextItem } from "./StiTextItem";
export declare class StiBackgroundedTextItem extends StiTextItem {
    font: Font;
    color: Color;
    backgroundColor: Color;
    constructor(value?: string, font?: Font, color?: Color, backgroundColor?: Color);
    saveToJsonObject(options: any): StiJson;
    loadFromJsonObject(json: StiJson): void;
    getBackgroundColor(): Color;
    haveContentAlignment(): boolean;
    haveBackgoundColor(): boolean;
}
